using System.Collections.Concurrent;
using System.Text;

namespace Tarpit;

public class TagUtils
{
    public void CreateTags(string wordListPath, DatabaseUtils database)
    {
        string[] wordLists = Directory.GetFiles(wordListPath, "*.txt", SearchOption.TopDirectoryOnly);
        
        for (int j = 0; j < wordLists.Length; j++)
        {
            Dictionary<string, List<string>> words = WordUtils.LoadData(wordLists[j]);
            
            string[] startWords = WordUtils.CreateStartwords(wordListPath);
            
            List<string> tagsList = [];
            StringBuilder sb = new();
            
            for (int k = 0; k < 1000; k++)
            {
                {
                    tagsList.Add(startWords[Random.Shared.Next(startWords.Length - 1)]);
                    
                    for (int i = 0; i < 30; i++)
                    {
                        List<string> temp = WordUtils.PredictNextWords(tagsList[i], words);
                        
                        if (temp.Count != 0)
                        {
                            tagsList.Add(temp[Random.Shared.Next(temp.Count - 1)]);
                        }
                        else
                        {
                            tagsList.Add(startWords[Random.Shared.Next(startWords.Length - 1)]);
                        }
                        
                        sb.Append(tagsList[i]);
                        sb.Append(' ');
                    }
                    
                    database.InsertTags(database.ConnectionStrings[j], sb.ToString());
                    
                    sb.Clear();
                    
                    tagsList.Clear();
                    
                    //Thread.Sleep(250);
                }
            }
        }
    }
    
    public string[] CreatePage(int paragraphs, bool header = true, int headings = 0, bool footer = true, int imagesAmount = 0)
    {
        
        
        
        return [];
    }
}